package jdbernard.timestamper.core;

import java.io.IOException;
import java.net.URI;

/**
 *
 * @author Jonathan Bernard ({@literal jonathan.bernard@gemalto.com})
 */
public abstract class TimelineSource {

    protected final URI uri;

    public TimelineSource(URI uri) { this.uri = uri; }

    public abstract Timeline read() throws IOException;
    public abstract void persist(Timeline t) throws IOException;
    public abstract boolean isAuthenticated();
    public abstract void authenticate() throws AuthenticationException;

    public URI getURI() {
        return uri;
    }

}